<?php use_helper('UrlFunctions'); ?>
<?php use_helper('UtilFunctions'); ?>
<?php
ViewResponse::getInstance()->setMethodAjax();

if(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope" || myUser::getUser()->getRoleId() == "sys.hip"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$i_IdAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
}elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	//SIN FILTRO
}else{
	$i_IdAdministrador = myUser::getUser()->getIdColaborador();
}


if($i_IdAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($i_IdAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$i_IdSucursal = $a_o_sucursal[0]->getIdSucursal();

}

$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($i_IdSucursal);
$o_BalanceDia->setIdAdministrador($i_IdAdministrador);

$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();

if($i_Id){
	$vId = $i_Id;
	//Obtener Cliente
	$o_CrCreditoPagoFN = new CrCreditoCronoFN();
	$o_CrCreditoPagoFN->setIdcreditocrono($i_Id);
	//$o_CrCreditoPagoFN->
	
	$o_PrestamoInteres = $o_CrCreditoPagoFN->selectByPK();
	if($o_PrestamoInteres){
		$i_IdCliente = $o_PrestamoInteres->getIdCliente();
		$txtmontocapital = $o_PrestamoInteres->getMontocapital();
		$GastoAdministrativo = $o_PrestamoInteres->getGastoAdministrativo();
		$txtinteresmonto = $o_PrestamoInteres->getPorcinteresmensual();
		$cboFormaPago = $o_PrestamoInteres->getPeriodopago();
		$Estado = $o_PrestamoInteres->getEstado();
		$Moneda = $o_PrestamoInteres->getMoneda();
		$cboDuracion = $o_PrestamoInteres->getDuracion();
		$cboNroCuotas = $o_PrestamoInteres->getNumeromeses();
		$txtobservacion = $o_PrestamoInteres->getObservacion();
		$fechaInicio = $o_PrestamoInteres->getFechainicio();
		$fechaVencimiento = $o_PrestamoInteres->getFechavencimiento();
		
		
		
	}
	
	
}


if($i_IdCliente){
	
	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($i_IdCliente);
	$o_ClienteDP = new ClienteDP($o_ClienteBean);
	$a_cliente = $o_ClienteDP->selectByPk();
	if(is_array($a_cliente)){
		foreach ($a_cliente as $key => $cliente){
			$nombreCompleto = $cliente->getNombreCompleto();
			$i_IdMercado = $cliente->getIdmercado();
		}
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($i_IdMercado);
		$o_MercadoDP= new MercadoDP($o_MercadoBean);
		$a_o_Mercado = $o_MercadoDP->selectByPk();
		if(is_array($a_o_Mercado)){
			foreach ($a_o_Mercado as $key => $mercado){
				$nombreMercado = $mercado->getDescripcion();
			}
		}
	}
}


 if($i_Id){
	$o_PrestamoBean = new CrCreditoPagoFN();
	$o_PrestamoBean->setIdcreditocrono($i_Id);
	$a_ObjectBean = $o_PrestamoBean->select();
	
	//Listado de Pagos
	$o_pagoFN = new CrCreditoCuotaFN();
	$o_pagoFN->setIdcreditocrono($i_Id);
	$a_pagos = $o_pagoFN->select();
	
	
	
	
}
ob_start();
?>
 <table width="100%" border="1" cellspacing="6" cellpadding="0" >
    					 	  
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Cliente</td>
								<td nowrap="nowrap"><?php echo $nombreCompleto;?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Mercado</td>
								<td nowrap="nowrap"><?php echo $nombreMercado;?>	</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Fecha inicio</td>
								<td nowrap="nowrap"><?php echo $fechaInicio;?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							    <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Estado</td>
								<td nowrap="nowrap"><?php echo $Estado;?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							    <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Monto de Capital</td>
								<td nowrap="nowrap"><?php echo number_format($txtmontocapital,2);?>
								 <?php
                                                    switch ( $Moneda ) 
                                                    {
                                                    	case "S":
                                                    	    ?>(S/. Soles)<?php
                                                        break;
                                                        case "D":
                                                    	    ?>($ Dolares)<?php
                                                        break;
                                                    }
                                                    ?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Gasto Administrativo</td>
								<td nowrap="nowrap"><?php echo number_format($GastoAdministrativo,2);?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Monto de Interes</td>
								<td nowrap="nowrap"><?php echo number_format($txtinteresmonto,2);?></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							    <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Forma de pago</td>
								<td nowrap="nowrap">
									<?php 
									switch ($cboFormaPago){
										case 'D': echo "Diario";break;
										case 'S': echo "Semanal";break;
										case 'Q': echo "Quincenal";break;
										case 'M': echo "Mensual";break;
									}
									?>
								</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							    <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Duración</td>
								<td nowrap="nowrap">
									
									<?php 
									echo $cboDuracion ." dias";
									?>
								</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Nro. de cuotas</td>
								<td nowrap="nowrap">
									
									<?php 
									echo $cboNroCuotas;
									?>
								</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" width="20%" class="cabecera">Observación</td>
								<td nowrap="nowrap">
									
									<?php 
									echo $txtobservacion;
									?>
								</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
<?
 ob_implicit_flush(0);
  $tblc = ob_get_clean();
ob_start();
 ?>
 
 <table border="1" width="2550">
								  	 <?php
								  	 if(is_array($a_pagos)){?>
								  	 <thead>
								  	<tr>
									  	<td  width="80" align="center">Nro.</td>
									  	<td width="150" align="center">F.Cuota</td>
									  	
									  	<td >Estado</td>
									  	
									  	<td>Monto&nbsp;</td>
									  	<td align="center">Saldo&nbsp; cuota</td>
									  	<td width="120" align="center"># Pagos</td>
									  	<td width="70" align="center">N.</td>
									  	<td  align="center"  >F.Pago</td>
									  	<td >Pagos</td>
									  	
									  	<td  width="40"  align="center" >T</td>
									  	<td >Recibo</td>
									  	<td >Banco</td>
									  	<td ># Oper.</td>
									  	<td >F. Oper.</td>
									  	<td >Observ.</td>
									  	
								  	 </tr>
								  	 </thead>
								  	 <?php foreach ($a_pagos as $key => $o_Pago){
										  	 	//Buscar los pagos hechos por cada cuota
										  	 	$o_pagoCuota = new CrCreditoPagoFN();
										  	 	$o_pagoCuota->setEliminado(-1);
										  	 	$o_pagoCuota->setIdcuota($o_Pago->getIdCuota());
										  	 	$a_pagosf = $o_pagoCuota->select();
										  	 	$f = 1;
										  	 	if(is_array($a_pagosf)){
											  	 	foreach ($a_pagosf as $keyf => $o_Pagof){	?>
												  	 	<tr>
												  	 		<?php if($f == 1){?>
															  	<td  width="80" <?php if(is_array($a_pagosf) && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?> align="center"><?=$key+1?></td>
															  	<td  width="150" <?php if(is_array($a_pagosf) && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?>>
															  	<?=substr($o_Pago->getFechaCuota(),0,10)?>
															  	</td>
															  	
															  	<td align="center" <?php if(is_array($a_pagosf) && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?>>
															  
															  	<?php 
															  		
															  		switch ($o_Pago->getEstado()){
															  			case 'P' :echo "Pendiente";break;
															  			case 'C' :echo "Cancelado";break;
															  		}
															  		?>
															  	
															  	</td>
															  	<td align="right" <?php if(is_array($a_pagosf) && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?>>
															  	
																  	<?php echo number_format($o_Pago->getMontoTotal(),2)?>
																  	
															  	</td>
															  	<td align="right" <?php if(is_array($a_pagosf) && count($a_pagosf)>1 && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?>>
																  	<?php echo number_format($o_Pago->getSaldototal(),2)?>
																  	<?php
																  		$total +=$o_Pago->getMontoTotal();
																  		$totalSaldo +=$o_Pago->getSaldototal();
																  	?>
															  	</td>	
															  	<td width="120" align="center" <?php if(is_array($a_pagosf) && count($a_pagosf)>1) echo ' rowspan="'.count($a_pagosf).'"'?>>
															  	
																  	<?php echo count($a_pagosf)?>
																  	
															  	</td>
															 <?php }?>
														  	 <td  width="70" align="right"><?php echo $keyf+1 ?></td>								
														  	 <td  align="center"><?php echo $o_Pagof->getFechatrx() ?></td>	
														  	 							
														  	 <td  align="right"><?php $totalPagosC += $o_Pagof->getMontopago();echo $o_Pagof->getMontopago()?></td>								
														  	 							
														  	 <td  width="40" align="center" ><?php echo $o_Pagof->getTipoPago()?>&nbsp;</td>		
														  	 <td ><?php echo $o_Pagof->getNumerorecibo()?>&nbsp;</td>		
														  	 <td ><?php echo $o_Pagof->getBanco()?>&nbsp;</td>		
														  	 <td ><?php echo $o_Pagof->getNumerooperacion()?>&nbsp;</td>		
														  	 <td ><?php echo $o_Pagof->getFechaoperacion()?>&nbsp;</td>		
														  	 <td ><?php echo $o_Pagof->getObservacion()?>&nbsp;</td>		
														  	 
														  		
																  	 							
														  	
												  	 	</tr>
												  	 
												  	 <?php 
												  	 $f++;
												  	 }?>
											  	  
										  	 <?
										  	 }else{?>
										  	 	<tr>
									  	 		
												  	<td align="center"  width="80"><?=$key+1?></td>
												  	<td  width="150">
												  	
												  	<?php echo substr($o_Pago->getFechaCuota(),0,10) ?>
												  	
												  	</td>
												  
												  	<td align="center">
												  
												  	<?php 
												  		
												  		switch ($o_Pago->getEstado()){
												  			case 'P' :echo "Pendiente";break;
												  			case 'C' :echo "Cancelado";break;
												  		}
												  		?>
												  	
												  	</td>
												  	<td align="right">
												  	
													  	<?php echo number_format($o_Pago->getMontoTotal(),2)?>
													  	
													  	<?php
													  		$total +=$o_Pago->getMontoTotal();
													  		$totalSaldo +=$o_Pago->getSaldototal();
													  	?>
												  	</td>
												  	<td align="right">
													  	<?php echo number_format($o_Pago->getSaldototal(),2)?>
													  	
												  	</td>	
												  	<td  align="center" width="120" >
													  	0
													  	
												  	</td>	
													<td  align="right" width="70">0</td>	<td  align="left">-</td>								
													<td align="right">0.00</td>								
													<td width="40" align="center" >-</td>								
													<td>-</td>								
													<td>-</td>								
													<td>-</td>								
													<td>-</td>								
													<td>-</td>								
													
													
												  </tr>
										  	 <?php }
								  	 		}
								  	 		
							              	
							              	?>
										  	 <tr>
								    			<td colspan="3">Totales</td>
								    			<td align="right"><?=number_format($total,2)?></td>
								    			<td align="right"><?=number_format($totalSaldo,2)?></td>
								    			<td align="right">&nbsp;</td>
								    			<td align="right">&nbsp;</td>
								    			<td align="right">&nbsp;</td>
								    			<td align="right"><?=number_format($totalPagosC,2)?></td>
								    			<td>&nbsp;</td>
								    			<td>&nbsp;</td>
								    			<td>&nbsp;</td>
								    			<td>&nbsp;</td>
								    			<td>&nbsp;</td>
								  			</tr><?php
								  	 		
								  	 	
								  	
								  	}
								  	 ?>
								   
    	     					</table>
      
     
   

      
     
   
<?

  ob_implicit_flush(0);
  $tbl = ob_get_clean();
  //echo $tbl;exit;
  
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Nicola Asuni');
$pdf->SetTitle('TCPDF Example 007');
$pdf->SetSubject('TCPDF Tutorial');
$pdf->SetKeywords('TCPDF, PDF, example, test, guide');

// set default header data
$pdf->SetHeaderData("logo_credito.png", 20, "Lista de detalle de pagos Nro. crédito: ".$i_Id, "");
//$pdf->SetHeaderData("", 15, "Lista de detalle de pagos Nro. crédito: ".$i_Id, "");

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));


// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, 5);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, 15);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
    require_once(dirname(__FILE__).'/lang/eng.php');
    $pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', '', 8);

// add a page
$pdf->AddPage();

// create columns content

// writeHTMLCell($w, $h, $x, $y, $html='', $border=0, $ln=0, $fill=0, $reseth=true, $align='', $autopadding=true)

// get current vertical position
$y = $pdf->getY();

// set color for background
//$pdf->SetFillColor(255, 255, 255);

// set color for text
$pdf->SetTextColor(0, 63, 127);

$pdf->writeHTMLCell(190, '', '', $y, $tblc,0,1,0, true, 'J', true);

// write the first column
$pdf->writeHTML($tbl, true, false, false, false, '');
//$pdf->writeHTML($tbl, true, false, false, false, '');





// set color for text
$pdf->SetTextColor(127, 31, 0);



// reset pointer to the last page
$pdf->lastPage();

// ---------------------------------------------------------

//Close and output PDF document
$pdf->Output();
//$pdf->Output('example_007.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+


?>

